<!DOCTYPE html>
<html lang="fr">
    <head>
        {% block head %}
            <meta charset="utf-8">
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <meta name="author" content="Limoog">

            <title>PAA</title>
            {#LG 20200902 début#}
            <script>window.baseURLJS = "{{ baseURL }}";</script>
{#LG 20200914 début#}
            {% if poController.getDBName() is not same as("default") %}
                <script>window.baseURL = "/DB/{{ poController.getDBName() }}/";</script>    
            {% else %}
{# LG 20200930 old                <script>window.baseURL = "";</script>    #}
                <script>window.baseURL = "{{ app.request.schemeAndHttpHost ~ app.request.baseUrl }}/";</script>    
            {% endif %}
            <script>window.currentUser = "{{ app.user ? app.user : "" }}" ;</script>
{#LG 20200914 fin#}
            {# LP 08/09/2020 debut Passage de Font Awesome en local#}
            <link rel="stylesheet" type="text/css" href="{{asset_version('/vendor/FontAwesome/fontawesome-free-5.14.0-web/css/all.css')}}">
            {# LP 08/09/2020 fin#}
            <link rel="icon" type="image/x-icon" href="{{ asset_version('Images/PAA.ICO') }}?v=2" />
            {#            <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/bootstrap/3.3.7/css/bootstrap.min.css')}}">#}
            <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/bootstrap/4.5.0/css/bootstrap.min.css')}}">
            {#            LG 20200720 début : Bootstrap 4 ne contient plus GlyphIcon, il faut utiliser Font Awesome#}
            {#LP 08/09/2020 debut
            ligne inutile
            <script src="https://kit.fontawesome.com/c3c5e60180.js" crossorigin="anonymous"></script>
            LP 08/09/2020 fin#}
            {#            LG 20200720 fin#}
            <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/jQueryUI-1.12.1/jquery-ui.min.css')}}">
            <link rel="stylesheet" type="text/css" href="{{asset_version('Limoog/Partages/css/Limoog.css')}}">
            <link rel="stylesheet" type="text/css" href="{{asset_version('Limoog/Partages/css/LouisStyle.css')}}">
            {# MG Ajout 20200526 Début #}
            <link rel="stylesheet" type="text/css" href="{{asset_version('Limoog/Paa/css/grilleSerieSeances.css')}}">
            {# MG Ajout 20200526 Début #}
            {# Styles spécifiques #}
        {%endblock%}
        {# MG Modification Début 20200831 #}
        {# les scriptsEnHead mis dans un nouveau fichier twig pour pouvoir être utilisés dans le Login.html.twig afin de garder le css et le js lors de la déconnexion suite a l'inactivité #}
        {% embed "@Paa/Default/imports.html.twig" %}
        {% endembed %}
        {# MG Modification Fin 20200831 #}
    </head>
    {#    {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                    Authentifié en tant que {{ app.user.username }}.
    
            {% else %}
                    Vous n'êtes pas authentifié.
            {% endif %}
    #}
    <body>
        {#URL de la page index#}
{#LG 20200914 déac début#}
{#        { # LG 20200518 début # }
        {% if poController.getDBName() is not same as("default") %}
            <div Id="baseURL" style="display:none;">/DB/{{ poController.getDBName() }}/</div>
        {% else %}
            <div Id="baseURL" style="display:none;"></div>
        {% endif %}
        { # LG 20200518 fin # }
#}        {#Barre de menu du haut#}
{#LG 20200914 déac fin#}
        {% block menu %}
            {#Barre de menus + liste des années + liste des établissements#}
            <nav class="navbar navbar-defaul Placement-mid">
                {#            TR 06/03/2019 Début #}
                {#<div id="bs-example-navbar-collapse-1" class="collapse navbar-collapse">#} 
                <div id="bs-example-navbar-collapse-1" class="navbar-collapse d-flex flex-row flex-wrap">
                    {#            TR 06/03/2019 Fin#}

                    <div class="LogoMenu">
                    </div>

                    <div class="d-flex">
                        {% if entityEtablissement is defined %}
                            {# MG 20200224 Modification Début						#}
                            {# Inutilisé #}
                            {#                        <div class = "btn col-sm-2 " style ="width: 5px; padding: 0;"></div>               #}
                            {# MG 20200224 Modification Fin						#}
                            {# MG 20200106 old                        <select id="selectEtablissement" class="selectpicker col btn" data-speed="true" onchange="onChangeEtablissement();">#}
                            <select id="selectEtablissement" class="selectpicker btn" data-speed="true" onchange="window.oPaa.onChangeEtablissement();">
                                {% for row in entityEtablissement %}
                                    <option value="{{ row.iIdRes }}" {{ (piIdEtablissement is defined and row.iIdRes == piIdEtablissement) ? "selected" : "" }}>{{ row.cnom }}</option>
                                {% endfor %}
                            </select>
                        {% endif %}
                    </div>
                    <div class="d-flex">
                        {% if entityAnnees is defined %}                      
                            {# MG 20200106 old                       <select id="selectPeriodeTravail" class="selectpicker col btn" data-speed="true" onchange="onChangeAnnee();">#}
                            <select id="selectPeriodeTravail" class="selectpicker btn" data-speed="true" onchange="window.oPaa.onChangeAnnee();">
                                {% for row in entityAnnees %}
                                    <option value="{{ row.iIdAnnee }}" {{ (piIdAnnee is defined and row.iIdAnnee == piIdAnnee) ? "selected" : "" }}>{{ row.cnom }}</option>
                                {% endfor %}
                            </select>                  
                        {% endif %}
                    </div>
                    <div class="d-flex">
                        <input id="cbo2Dates" data-dateDebut="{{pdDebut}}" data-dateFin="{{pdFin}}" type="text" data-role="cbo2Dates" data-speed="true" class="btn cbo2Dates nav btn-default" style="width: 200px; display: inline; text-align: center; visibility: visible;" onchange="window.oPaa.onChangeDates();">
                    </div>

                    {#MG Ajout 20191231 selecteur de semaine                    #}
                    {#<select id="selectSemaine" class="col" data-speed="true" onchange="window.oPaa.getSemaineDebut();">
                            {% for row in  %}
                                <option value="{{ row.iIdAnnee }}" {{ (piIdAnnee is defined and row.iIdAnnee == piIdAnnee) ? "selected" : "" }}>{{ row.cnom }}</option>
                            {% endfor %}
                    </select> #}
                </div>
            </nav> 

            <nav class="navbar navbar-expand-lg Placement-top bg-white shadow-sm">

                {#voir https://symfony.com/doc/master/bundles/KnpMenuBundle/index.html et https://github.com/KnpLabs/KnpMenuBundle/issues/91 pour les options de knp_menu_render#}
                {% set menu = knp_menu_get('PaaBundle:PaaMenuBuilder:mainMenu', [], {'bEstAuthentifié': is_granted("IS_AUTHENTICATED_REMEMBERED"), 'oUser': app.user, 'poController': poController} ) %}
                {{ knp_menu_render(menu, {'currentAsLink': true, 'currentClass': 'active', 'compressed': true}) }}
            {% endblock %}

        </nav>

        {# MG Ajout 20200826 Début #}
        {# Ajout d'une div dédiée à la vérification de connexion depuis la popup d'inactivité #}
        <div id="checkLoginPopup"></div>
        {# MG Ajout 20200826 Fin #}

        {#Titre de la page#}
        {% block titrePage %}
            <div class = "TitrePage">Titre de la page</div>            
        {% endblock %}

        {#Affichage des flashbags#}
        {% block flashbags %}
            {#cf FOSUser.layout.html.twig#}
            {% if app.request.hasPreviousSession %}
                {% for type, messages in app.session.flashbag.all() %}
                    {% for message in messages %}
                        {#LG 20200511 old                        <div class="flash-{{ type }} alert alert-{{ type }}">#}
                        <div class="flash-{{ type }} alert alert-{{ type }}">
                            {{ message }}
                        </div>
                    {% endfor %}
                {% endfor %}
            {% endif %}
        {% endblock %}

        {#Contenu de la page#}
    {% block content %}{% endblock %}

    {#Scripts qui doivent s'exécuter à la fin du body#}
    {% block scriptsEnFinDeBody %}
        {# speedWidget #}
        {# Si decommenter, daterangepicker ne fonctionne plus (picker not defined), mais speedWidget pas dispo dans le menu#}
        {# MG Modification Début 20191226 #}
        {# Déplacer en scriptEnHead, le cbo2Dates etant dans la barre du menu#}
        {#            <script type="text/javascript" src="{{asset_version('Limoog/Partages/widgets/speedWidget.js')}}"></script>#}
        {# LG 20190405 passé dans scriptEnHead
                        <script type="text/javascript" src="{{asset_version('vendor/jQuery-3.3.1/jquery-3.3.1.min.js')}}"></script>
                        <script type="text/javascript" src="{{asset_version('vendor/bootstrap/3.3.7/js/bootstrap.min.js')}}"></script>
                        <script type="text/javascript" src="{{asset_version('vendor/jQueryUI-1.12.1/jquery-ui.min.js')}}"></script>
                        <script type="text/javascript" src="{{asset_version('Limoog/Partages/src/fonctions.js')}}"></script>
                        <script type="text/javascript" src="{{asset_version('Limoog/Paa/src/ajaxSymfonyPaa.js')}}"></script>
        #}	{% endblock %}

        {# Script spécifique pour les sous-menus de KNP-Menu-Bundle #}
        {# Evénements sur changement dans les zones de liste Années et Etablissements #}
        <script>
            {# MG Modification Début 20191223               #}
            {# Fonctions définis dans Paa.js : window.oPaa.nomfonction   #}
            {#function onChangeAnnee() {
                return ajaxSetParametre("giAnnée", $("#selectPeriodeTravail").val(), "NU");
            }#}
			{#function AnneeSauvée(msg) {
                 alert("L'année a été enregitrée") ;
			}#}
            {#function onChangeEtablissement() {
                return ajaxSetParametre("giEtablissement", $("#selectEtablissement").val(), "NU");
            }#}

            {#MG essai 20191223 : marche pas et inutile#}
            {#function onChangeDate() {
                return ajaxSetParametre("giDate", $("#cbo2Dates").val(), "NU", DateSauvée);
            }
            function DateSauvée(msg) {
               alert("La date a été enregitrée") ;
            }#}
            
            {# MG Modification Fin 20191223               #}
            {# MG Ajout 20200826 Début #}
            {# N'est plus dan un fichier JS pour pouvoir utiliser la variable d'environnement idle_time #}
                var isLogout = false;
                window.onload = function () {
{#LG 20200915 début : ajuster le menu connexion à droite                    #}
                    var width = "calc(100% - " + $(".menuUser").css("width") + ")" ;
                    $(".menuUser").css("left", width) ;
{#LG 20200915 fin#}
                    inactivityTime();
                };

                var inactivityTime = function () {
                    var time;
// LG 20200914 deac : placé + bas                    window.onload = resetTimer;
                    // DOM Events
                    document.onmousemove = resetTimer;
                    document.onkeypress = resetTimer;

                    function logout() {
                        isLogout = true;
                        var lsURL = getBaseURL() + 'logout';
{#  LG 20200914 essai                       var lsURL = '/logout';#}
                        $.post(
                                lsURL,
                                $(this).serialize(),
                                )
                                .done(function (msg) {

                                    var lsHTMLDialogue = "<div id='loginPopup' title='Déconnexion suite à une inactivité'>"
                                            + "<p>" + msg + "</p>"
                                            + "</div>";
                                    $('body').append('<div id="blockingBackground" class="ui-widget-overlay ui-front" style="z-index: 100;"></div>');
                                    $(lsHTMLDialogue).dialog({
// MG Modif 20200915 Début
// Le background du modal est disabled
										modal:true,
// MG Modif 20200915 Fin
										width: 400, 
										height: 600});
                                    $('.ui-dialog-titlebar-close').hide();
                                    $('form').append('<input type="text" id="authentificationParPopup" name="_authentificationParPopup" value="_authentificationParPopup" disabled="" hidden="">');
                                    $('#authentificationParPopup').val('_authentificationParPopup');
                                    $('.cadreIntérieur > form').submit(function (event) {
                                        event.preventDefault();
                                        lsURL = getBaseURL() + 'login_check';
{# LG 20200914 essai                                        lsURL = '/login_check';#}
                                        $.post(
                                                lsURL,
                                                $(this).serialize(),
                                                )
                                                .done(function (msg) {
                                                    if (msg) {
// Ne pouvant pas utiliser le LoginSuccessHandler, on vérifie le contenu du message 
// Si dans le msg retour il y a un formulaire de connexion c'est qu'il y a eu une erreur,
// si le message de retour est le menu.html.twig alors la connexion est bonne.
//MG Mofication 20200928 Début
//                                                      if (msg.includes("check" + "LoginPopup")) {
                                                        if (!estHtml_DemandeLogin(msg)){ 
//MG Mofication 20200928 Fin
                                                            $('#loginPopup').dialog("close");
                                                            $('#blockingBackground').remove();
// LG 20200914 début
                                                            $('#loginPopup').remove();
// LG 20200914 fin
                                                            isLogout = false;
// LG 20200914 début : il faut relancer le timer
                                                            resetTimer() ;
// LG 20200914 fin
                                                        } else {
// LG 20200914 début
//												alert('echec de connexion');
                                                            if (typeof estModeDev === "function" && estModeDev()) {
                                                                if (typeof LG_Ajax_Notifie === "function") {
                                                                    LG_Ajax_Notifie("Echec de l'authentification, la page reçue était : " + msg);
                                                                }
                                                            }
                                                            $("#msgDuLayout").text("Echec de l'authentification") ;
//                                                            alert("Echec de l'authentification");
// LG 20200914 fin
                                                        }

                                                    }
                                                })
                                                .fail(function (xhr, status, error) {
// LG 20200914 début
//										alert('login_check fail');
                                                    if (typeof LG_Ajax_Notifie === "function") {
                                                        LG_Ajax_Notifie("La vérification du login a échoué : " + error);
                                                    }
// LG 20200929 old                                                    alert('Echec de la vérification du login : ' + error);
// LG 20200914 fin
                                                });
                                    });
                                })
                                .fail(function (xhr, status, error) {
// LG 20200914 début
                                    if (typeof LG_Ajax_Notifie === "function") {
                                        LG_Ajax_Notifie("Le Logout automatique a échoué : " + error);
                                    }
// LG 20200914 fin
                                    alert('Echec de la déconnexion : ' + error);
                                });
                    };

                    function resetTimer() {
// LG 20200914 début
                        if (!window.currentUser) { 
                            // On est actuellement en accès anonyme
                            return ;
                        }
// LG 20200914 fin
                        clearTimeout(time);
                        if (!isLogout) {
// LG 20200914 début
//						time = setTimeout(logout, 20*60*1000);
                            var liIdleTime = ({{session_max_idle_time}} * 1000) - 60000; // en millisecondes : 60 secondes de moins que le timeout de Symfony
                            if (liIdleTime < 2000) {
                                // Minimum : 2 secondes
                                liIdleTime = 2000;
                            }
                            time = setTimeout(logout, liIdleTime);
// LG 20200914 fin
                        }
                    };

// LG 20200914 début : il faut lancer le timer dès le chargement de la page
                    resetTimer() ;
// LG 20200914 fin
                };
{#             MG Ajout 20200826 Fin   #}
        </script>           
    </body>
</html>
